### Method

# EDataServer OAuth2Service dup_credentials_prompter_cookies_sync

since: 3.54

#### Declaration [src]

    GSList*
    e_oauth2_service_dup_credentials_prompter_cookies_sync (
      EOAuth2Service* service,
      ESource* source,
      GCancellable* cancellable
    )

#### Description [src]

Additional cookies to be used in the prompt dialog when asking for the user credentials. The default implementation does not provide any cookies.

Available since: 3.54

#### Parameters

`source`

  Type: `ESource`

  An associated `ESource`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: A list of `SoupCookie*`

A `GSList` of `SoupCookie`-s to use, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.